Next: wcsstr, Previous: wcsrchr, Up: Wchar strings

### 6.24 `wcsspn`—get length of a wide substring

Synopsis

         #include <wchar.h>
         size_t wcsspn(const wchar_t *s, const wchar_t *set);

Description
The `wcsspn` function computes the length of the maximum initial segment of the wide-character string pointed to by s which consists entirely of wide-character codes from the wide-character string pointed to by set.

Returns
The wcsspn() function returns the length s1; no return value is reserved to indicate an error.

Portability
`wcsspn` is ISO/IEC 9899/AMD1:1995 (ISO C).

No supporting OS subroutines are required.